| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
Ethernet MAC Events
Ethernet MAC Interface

The Ethernet MAC driver generates call back events that are notified via the function ARM_ETH_MAC_SignalEvent. More...

## Macros

#define | ARM_ETH_MAC_EVENT_RX_FRAME (1UL << 0)
| Frame Received.
#define | ARM_ETH_MAC_EVENT_TX_FRAME (1UL << 1)
| Frame Transmitted.
#define | ARM_ETH_MAC_EVENT_WAKEUP (1UL << 2)
| Wake-up (on Magic Packet)
#define | ARM_ETH_MAC_EVENT_TIMER_ALARM (1UL << 3)
| Timer Alarm.

## Description

The Ethernet MAC driver generates call back events that are notified via the function ARM_ETH_MAC_SignalEvent.

This section provides the event values for the ARM_ETH_MAC_SignalEvent callback function.

The following call back notification events are generated:

## Macro Definition Documentation

#define ARM_ETH_MAC_EVENT_RX_FRAME (1UL << 0)

Frame Received.

#define ARM_ETH_MAC_EVENT_TIMER_ALARM (1UL << 3)

Timer Alarm.

#define ARM_ETH_MAC_EVENT_TX_FRAME (1UL << 1)

Frame Transmitted.

#define ARM_ETH_MAC_EVENT_WAKEUP (1UL << 2)

Wake-up (on Magic Packet)